# Created by pyp2rpm-3.3.1
%global pypi_name flake8-docstrings

Name:           python-%{pypi_name}
Version:        1.5.0
Release:        %mkrel 1
Summary:        Extension for flake8 which uses pydocstyle to check docstrings
Group:          Development/Python
License:        MIT
URL:            https://gitlab.com/pycqa/flake8-docstrings
Source0:        %{pypi_source}
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pydocstyle)

%description
flake8-docstrings A simple module that adds an extension for the fantastic
pydocstyle_ tool to Simply install this extension:: pip install
flake8-docstringsand run flake8.Report any issues on our bug tracker_...
_pydocstyle: .. _flake8: .. _bug tracker: History/Changelog 1.3.0 - Bump
minimum pydocstyle version to 2.1.01.2.0 - Fix EnvironError and AllError
invocations- Avoid Flake8 warning for...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(flake8)
Requires:       python3dist(flake8-polyfill)
Requires:       python3dist(pydocstyle) >= 2.1
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
flake8-docstrings A simple module that adds an extension for the fantastic
pydocstyle_ tool to Simply install this extension:: pip install
flake8-docstringsand run flake8.Report any issues on our bug tracker_...
_pydocstyle: .. _flake8: .. _bug tracker: History/Changelog 1.3.0 - Bump
minimum pydocstyle version to 2.1.01.2.0 - Fix EnvironError and AllError
invocations- Avoid Flake8 warning for...

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/flake8_docstrings.py
%{python3_sitelib}/flake8_docstrings-%{version}-py?.?.egg-info



%changelog
* Thu Apr 09 2020 kekepower <kekepower> 1.5.0-1.mga8
+ Revision: 1565692
- Update to version 1.5.0

* Sun Feb 16 2020 umeabot <umeabot> 1.3.0-5.mga8
+ Revision: 1533099
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.3.0-4.mga8
+ Revision: 1443371
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 1.3.0-3.mga7
+ Revision: 1351249
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1288898
- Mageia 7 Mass Rebuild

* Thu Apr 05 2018 kekepower <kekepower> 1.3.0-1.mga7
+ Revision: 1215436
- imported package python-flake8-docstrings

